<xsl:stylesheet
	version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:hdoc="http://www.utc.fr/ics/hdoc/xhtml"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
    >
	
	 <xsl:output method="xml" indent="yes"/>
	
    <xsl:template match="hdoc:html">
		<project default="get_content">
		<target name="get_path">
			<xsl:apply-templates select="hdoc:body"/>
		</target>
		</project>	
	</xsl:template>
	
	<xsl:template match="hdoc:section">
		<xsl:apply-templates />
	</xsl:template>
	
	<xsl:template match="hdoc:header" />
		
	<xsl:template match="hdoc:div">
		<xsl:apply-templates select="hdoc:section"/>
		<xsl:apply-templates select="hdoc:img"/>
	</xsl:template>
	
	<xsl:template match="hdoc:img">	
		<xsl:variable name="path" select="@src"/>
		<copy file="hdocUnzipped/{@src}" tofile="odtUnzipped/Pictures/{replace($path,'/','@_@')}"/>
		<!-- '@_@' indead of only one '_' to keep the uniqueness of each pictures. Exemple:
			tmp/tmp_tmp.png	=> tmp_tmp_tmp.png
			tmp/tmp/tmp.png => tmp_tmp_tmp.png 
			ERROR
		-->
	</xsl:template>
		
</xsl:stylesheet>



		
				
	
		

	